Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class ConsultSupportAndRepairViewType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.ConsultSupportAndRepairViewType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultSupportAndRepairViewType

extends Object
implements Serializable

Beperkt beeld van de aanvraag waarvoor een actief budget onderhoud en herstel werd gevonden.

Java class for ConsultSupportAndRepairViewType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupportAndRepairViewType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType"/>
             <element name="Application" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewSupportAndRepairType"/>
             <element name="HistoryStatus" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}StatusListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultSupportAndRepairViewType()`

Method Summary
`ApplicationViewSupportAndRepairType` | `getApplication()` Gets the value of the application property.
`StatusListType` | `getHistoryStatus()` Gets the value of the historyStatus property.
`String` | `getVSBReference()` Gets the value of the vsbReference property.
`void` | `setApplication(ApplicationViewSupportAndRepairType value)` Sets the value of the application property.
`void` | `setHistoryStatus(StatusListType value)` Sets the value of the historyStatus property.
`void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultSupportAndRepairViewType

    public ConsultSupportAndRepairViewType()

Method Detail

### getVSBReference

    public String getVSBReference()

  Gets the value of the vsbReference property.

  Returns:
    possible object is `String`

### setVSBReference

    public void setVSBReference(String value)

  Sets the value of the vsbReference property.

  Parameters:
    `value` - allowed object is `String`

### getApplication

    public ApplicationViewSupportAndRepairType getApplication()

  Gets the value of the application property.

  Returns:
    possible object is `ApplicationViewSupportAndRepairType`

### setApplication

    public void setApplication(ApplicationViewSupportAndRepairType value)

  Sets the value of the application property.

  Parameters:
    `value` - allowed object is `ApplicationViewSupportAndRepairType`

### getHistoryStatus

    public StatusListType getHistoryStatus()

  Gets the value of the historyStatus property.

  Returns:
    possible object is `StatusListType`

### setHistoryStatus

    public void setHistoryStatus(StatusListType value)

  Sets the value of the historyStatus property.

  Parameters:
    `value` - allowed object is `StatusListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.